# Class PngException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.sixlegs.png.PngException

All Implemented Interfaces:
  `Serializable`

public class PngException extends IOException
The superclass for all decoding exceptions.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFatal()`
Returns true if this exception represents a fatal decoding error.

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### isFatal

public boolean isFatal()
Returns true if this exception represents a fatal decoding error. Most errors in non-ancillary chunks are fatal.